Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 631788 (qt4-removal)

Summary: [TRACKER] Qt 4 removal
Product: Gentoo Linux Reporter: Michael Palimaka (kensington) <kensington>
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: anton.kochkov, asturm, far.jmp, gentoo, hendrik, mail, nheghathivhistha, ps, shentino, thomas.bettler, tsmksubc
Priority: Normal Keywords: PMASKED, Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: scheduled for removal on 2018-07-26
Package list:
Runtime testing required: ---
Bug Depends on: 247588, 398487, 464658, 489190, 525884, 537002, 539590, 562610, 563526, 570814, 585328, 594570, 595684, 596714, 596824, 602042, 602816, 604822, 609734, 619058, 619376, 620176, 620474, 620684, 620702, 621500, 622026, 623602, 625110, 626664, 627380, 629018, 629032, 630476, 630550, 631524, 631640, 631790, 631794, 631796, 631798, 631800, 631802, 631804, 631806, 631808, 631810, 631814, 631816, 631884, 631886, 631888, 631890, 631892, 631904, 631906, 631908, 631910, 631912, 631914, 631916, 631918, 631966, 632886, 633444, 633746, 634780, 634952, 634954, 634956, 634958, 634960, 634962, 634970, 634986, 635798, 636312, 637014, 637098, 637106, 637108, 638026, 638220, 638260, 638274, 638688, 638824, 638826, 639000, 639242, 639244, 639246, 639248, 639252, 639254, 639256, 639260, 639332, 639608, 639612, 639658, 639846, 639850, 639852, 639974, 640006, 640114, 640138, 640258, 641220, 641222, 641850, 641852, 641922, 641924, 641932, 641936, 641938, 641940, 641942, 641952, 641956, 641962, 642182, 642184, 642188, 642444, 642448, 642452, 642530, 642532, 642538, 642544, 642550, 642562, 642950, 643970, 643976, 643994, 644312, 644358, 644360, 644362, 644364, 644368, 644370, 644374, 644376, 644378, 644380, 644384, 644386, 644396, 644398, 644400, 644402, 644404, 644410, 644412, 644416, 644418, 644422, 644424, 644428, 644430, 644432, 644468, 644478, 644480, 644482, 644514, 644516, 644520, 644522, 644532, 644534, 644554, 644558, 644564, 644566, 644568, 644606, 644726, 644728, 644782, 644898, 645030, 645140, 645418, 645420, 645428, 645430, 645432, 645434, 645436, 645504, 645506, 645628, 645632, 646182, 648018, 648706, 649094, 649098, 649100, 649104, 649106, 649110, 649112, 649116, 649118, 649122, 649124, 649346, 649572, 649576, 649652, 649656, 650580, 650692, 653738, 653986, 654060, 655382, 655400, 655416, 656040, 656046, 656612, 656704, 656826    
Bug Blocks: 592536    

Description Michael Palimaka (kensington) gentoo-dev 2017-09-23 01:48:43 UTC
The final Qt 4 release was over two years ago and nothing further is expected. Everyone should move to Qt 5.

Although the final cleanup obviously won't happen for quite some time, I'd like to start tracking the cleanup efforts.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2017-12-09 11:22:23 UTC
*** Bug 640354 has been marked as a duplicate of this bug. ***
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2017-12-09 11:22:41 UTC
*** Bug 640356 has been marked as a duplicate of this bug. ***
Comment 3 far jump 2018-08-02 13:58:50 UTC
Hello,

Can I ask if Qt4 will remain in portage (and masked) or will Qt4 be removed altogether?

thanks
Comment 4 Andreas Sturmlechner gentoo-dev 2018-08-04 23:17:45 UTC
See $whiteboard.
Comment 5 far jump 2018-08-04 23:41:39 UTC
I would like to request that Qt4 remain in portage. The is still being used by many programs.  My team supports about 500 Gentoo servers and workstation that use ruby, Qt4 and ruby bindings.

We would like very much to move to Qt5 - but no ruby-Qt5 bindings exist yet.  There does not see valuable removing a program for which there is no replacement. (ruby-QML is not anywhere near a Qt5 substitute)
Comment 6 Andreas Sturmlechner gentoo-dev 2018-08-04 23:54:08 UTC
Qt4 is dead for years upstream and no one is going to fix it downstream either.  Fetch the ebuilds from kde-sunset.git if you need it.
Comment 7 far jump 2018-08-05 00:29:04 UTC
(In reply to Andreas Sturmlechner from comment #6)
> Qt4 is dead for years upstream and no one is going to fix it downstream
> either.  Fetch the ebuilds from kde-sunset.git if you need it.

Yes, I am aware that development has stopped on Qt4. As far our usage goes nothing needs to be fixed downstream.  We have about 300 gentoo systems deployed that run 24/7; executing very complex applications that are driven by ruby,Qtbindings and Qt4.  We have no bug issues or problems.
Comment 8 Andreas Sturmlechner gentoo-dev 2018-08-07 07:41:36 UTC
(In reply to far jump from comment #7)
> We have no bug issues or problems.
You are making the best case for maintaining it in your own overlay then. However, Gentoo will not fix Qt4 for new versions of gcc, glibc, boost, cmake, ICU, etc.

There are no blockers left for removal now. If there are no further objections from Qt team I am going to clean up Qt4.
Comment 9 Davide Pesavento gentoo-dev 2018-08-07 15:04:23 UTC
(In reply to Andreas Sturmlechner from comment #8)
> There are no blockers left for removal now. If there are no further
> objections from Qt team I am going to clean up Qt4.
No objections, please go ahead. And thanks a lot for all your hard work!
Comment 10 Larry the Git Cow gentoo-dev 2018-08-07 17:38:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67bb098696b2cc4c0c4b826cebc53aca9ae624df

commit 67bb098696b2cc4c0c4b826cebc53aca9ae624df
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-01 17:14:40 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-07 17:37:32 +0000

    dev-qt: Remove last-rited Qt4
    
    Closes: https://bugs.gentoo.org/631788

 app-eselect/eselect-qtgraphicssystem/Manifest      |   1 -
 .../eselect-qtgraphicssystem-1.1.1.ebuild          |  21 ---
 app-eselect/eselect-qtgraphicssystem/metadata.xml  |  11 --
 dev-qt/assistant/Manifest                          |   1 -
 dev-qt/assistant/assistant-4.8.7.ebuild            |  53 -------
 .../assistant/files/assistant-4.8.2+gcc-4.7.patch  |  12 --
 dev-qt/assistant/files/disable-webkit.patch        |  26 ----
 dev-qt/assistant/metadata.xml                      |   4 -
 dev-qt/designer/Manifest                           |   1 -
 dev-qt/designer/designer-4.8.7.ebuild              |  56 -------
 dev-qt/designer/metadata.xml                       |   4 -
 dev-qt/linguist/Manifest                           |   1 -
 dev-qt/linguist/linguist-4.8.7.ebuild              |  39 -----
 dev-qt/linguist/metadata.xml                       |   4 -
 dev-qt/pixeltool/Manifest                          |   1 -
 dev-qt/pixeltool/metadata.xml                      |   4 -
 dev-qt/pixeltool/pixeltool-4.8.7.ebuild            |  32 ----
 dev-qt/qdbusviewer/Manifest                        |   1 -
 dev-qt/qdbusviewer/metadata.xml                    |   4 -
 dev-qt/qdbusviewer/qdbusviewer-4.8.7.ebuild        |  39 -----
 dev-qt/qt-meta/metadata.xml                        |  11 --
 dev-qt/qt-meta/qt-meta-4.8.6-r1.ebuild             |  37 -----
 dev-qt/qt3support/Manifest                         |   1 -
 dev-qt/qt3support/metadata.xml                     |  16 --
 dev-qt/qt3support/qt3support-4.8.7.ebuild          |  33 -----
 dev-qt/qtbearer/Manifest                           |   1 -
 dev-qt/qtbearer/metadata.xml                       |  16 --
 dev-qt/qtbearer/qtbearer-4.8.7.ebuild              |  43 ------
 dev-qt/qtcore/Manifest                             |   1 -
 ...ExcludeSocketNotifiers-in-glib-event-loop.patch |  81 -----------
 .../qtcore-4.8.5-qeventdispatcher-recursive.patch  |  94 ------------
 dev-qt/qtcore/files/qtcore-4.8.7-libressl.patch    |  52 -------
 dev-qt/qtcore/files/qtcore-4.8.7-moc.patch         |  17 ---
 dev-qt/qtcore/metadata.xml                         |   5 -
 dev-qt/qtcore/qtcore-4.8.7-r4.ebuild               |  92 ------------
 dev-qt/qtdbus/Manifest                             |   1 -
 .../qtdbus-4.7-qdbusintegrator-no-const.patch      |  11 --
 ...bus-4.8.4-qdbusconnection-silence-warning.patch |  14 --
 dev-qt/qtdbus/metadata.xml                         |   4 -
 dev-qt/qtdbus/qtdbus-4.8.7.ebuild                  |  40 -----
 dev-qt/qtdeclarative/Manifest                      |   1 -
 dev-qt/qtdeclarative/metadata.xml                  |   5 -
 dev-qt/qtdeclarative/qtdeclarative-4.8.7.ebuild    |  51 -------
 dev-qt/qtdemo/Manifest                             |   1 -
 dev-qt/qtdemo/files/qtdemo-4.6-plugandpaint.patch  |  13 --
 dev-qt/qtdemo/metadata.xml                         |  23 ---
 dev-qt/qtdemo/qtdemo-4.8.7.ebuild                  |  88 -----------
 dev-qt/qtgui/Manifest                              |   2 -
 dev-qt/qtgui/files/qtgui-4.7.3-cups.patch          |  84 -----------
 .../qtgui-4.8.5-disable-gtk-theme-check.patch      |  22 ---
 .../qtgui/files/qtgui-4.8.5-qclipboard-delay.patch |  33 -----
 dev-qt/qtgui/metadata.xml                          |   9 --
 dev-qt/qtgui/qtgui-4.8.7.ebuild                    | 162 ---------------------
 dev-qt/qthelp/Manifest                             |   3 -
 .../qthelp/files/qthelp-4.8.6-compat-install.patch |  35 -----
 .../qthelp/files/qthelp-4.8.6-compat-syncqt.patch  |  25 ----
 dev-qt/qthelp/metadata.xml                         |   6 -
 dev-qt/qthelp/qthelp-4.8.7.ebuild                  | 111 --------------
 dev-qt/qtmultimedia/Manifest                       |   1 -
 .../files/qtmultimedia-4.8.0-alsa.patch            |  25 ----
 ...4.8.6-Relax-ALSA-version-checks-for-1.1.x.patch | 155 --------------------
 dev-qt/qtmultimedia/metadata.xml                   |   2 -
 dev-qt/qtmultimedia/qtmultimedia-4.8.7.ebuild      |  44 ------
 dev-qt/qtopengl/Manifest                           |   1 -
 dev-qt/qtopengl/metadata.xml                       |   4 -
 dev-qt/qtopengl/qtopengl-4.8.7.ebuild              |  45 ------
 dev-qt/qtscript/Manifest                           |   1 -
 .../qtscript/files/4.8.6-javascriptcore-x32.patch  |  53 -------
 dev-qt/qtscript/metadata.xml                       |   2 -
 dev-qt/qtscript/qtscript-4.8.7.ebuild              |  38 -----
 dev-qt/qtsql/Manifest                              |   1 -
 dev-qt/qtsql/metadata.xml                          |   5 -
 dev-qt/qtsql/qtsql-4.8.7-r1.ebuild                 |  59 --------
 dev-qt/qtsvg/Manifest                              |   1 -
 dev-qt/qtsvg/metadata.xml                          |   4 -
 dev-qt/qtsvg/qtsvg-4.8.7.ebuild                    |  42 ------
 dev-qt/qttest/Manifest                             |   1 -
 dev-qt/qttest/metadata.xml                         |   4 -
 dev-qt/qttest/qttest-4.8.7.ebuild                  |  32 ----
 dev-qt/qttranslations/Manifest                     |   1 -
 dev-qt/qttranslations/qttranslations-4.8.7.ebuild  |  40 -----
 dev-qt/qtxmlpatterns/Manifest                      |   1 -
 dev-qt/qtxmlpatterns/qtxmlpatterns-4.8.7.ebuild    |  33 -----
 profiles/package.mask                              |  26 ----
 84 files changed, 2180 deletions(-)
Comment 11 Raymond Jennings 2018-08-07 18:46:59 UTC
What about the qt4 eclasses?